#
# spec file for package kdevplatform
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rversion 5.1
%define libkdev_major 10
Name:           kdevplatform
Version:        5.1.2
Release:        lp150.1.13
Summary:        Base Package for Integrated Development Environments
License:        GPL-2.0+ and GPL-3.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source:         http://download.kde.org/stable/kdevelop/%{version}/src/%{name}-%{version}.tar.xz
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  extra-cmake-modules >= 0.0.9
BuildRequires:  grantlee5-devel
BuildRequires:  karchive-devel >= 5.18.0
BuildRequires:  kcmutils-devel >= 5.18.0
BuildRequires:  kconfig-devel >= 5.18.0
BuildRequires:  kdeclarative-devel >= 5.18.0
BuildRequires:  kf5-filesystem
BuildRequires:  kguiaddons-devel >= 5.18.0
BuildRequires:  ki18n-devel >= 5.18.0
BuildRequires:  kiconthemes-devel >= 5.18.0
BuildRequires:  kio-devel >= 5.18.0
BuildRequires:  kitemmodels-devel >= 5.18.0
BuildRequires:  kitemviews-devel >= 5.18.0
BuildRequires:  kjobwidgets-devel >= 5.18.0
BuildRequires:  knewstuff-devel >= 5.18.0
BuildRequires:  knotifications-devel >= 5.18.0
BuildRequires:  knotifyconfig-devel >= 5.18.0
BuildRequires:  kparts-devel >= 5.18.0
BuildRequires:  kservice-devel >= 5.18.0
BuildRequires:  ktexteditor-devel >= 5.18.0
BuildRequires:  kwidgetsaddons-devel >= 5.18.0
BuildRequires:  kwindowsystem-devel >= 5.18.0
BuildRequires:  kxmlgui-devel >= 5.18.0
BuildRequires:  libkomparediff2-kf5-devel
BuildRequires:  sonnet-devel >= 5.18.0
BuildRequires:  subversion-devel
BuildRequires:  threadweaver-devel >= 5.18.0
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.4.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.4.0
BuildRequires:  pkgconfig(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Script) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
Conflicts:      kdevplatform4
Requires:       libkdevplatform%{libkdev_major} = %{version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the common plugins for integrated developments
environment based on the KDevelop framework.

%package lang
Summary:        Languages for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Provides:       %{name}-lang-all = %{version}
Supplements:    packageand(bundle-lang-other:%{name})
Conflicts:      kdevplatform4-lang
BuildArch:      noarch

%description lang
Provides translations to the package %{name}


%prep
%setup -q -n kdevplatform-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %find_lang kdevappwizard %{name}.lang
  %find_lang kdevclassbrowser %{name}.lang
  %find_lang kdevcodeutils %{name}.lang
  %find_lang kdevcontextbrowser %{name}.lang
  %find_lang kdevcvs %{name}.lang
  %find_lang kdevdocumentswitcher %{name}.lang
  %find_lang kdevdocumentview %{name}.lang
  %find_lang kdevexecute %{name}.lang
  %find_lang kdevexecutescript %{name}.lang
  %find_lang kdevexternalscript %{name}.lang
  %find_lang kdevfilemanager %{name}.lang
  %find_lang kdevfiletemplates %{name}.lang
  %find_lang kdevgenericprojectmanager %{name}.lang
  %find_lang kdevgit %{name}.lang
  %find_lang kdevgrepview %{name}.lang
  %find_lang kdevkonsole %{name}.lang
  %find_lang kdevopenwith %{name}.lang
  %find_lang kdevpatchreview %{name}.lang
  %find_lang kdevperforce %{name}.lang
  %find_lang kdevplatform %{name}.lang
  %find_lang kdevproblemreporter %{name}.lang
  %find_lang kdevprojectfilter %{name}.lang
  %find_lang kdevprojectmanagerview %{name}.lang
  %find_lang kdevquickopen %{name}.lang
  %find_lang kdevstandardoutputview %{name}.lang
  %find_lang kdevsubversion %{name}.lang
  %find_lang kdevswitchtobuddy %{name}.lang
  %find_lang kdevtestview %{name}.lang
  %find_lang kdevvcsprojectintegration %{name}.lang
  %find_lang kdevwelcomepage %{name}.lang

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files lang -f %{name}.lang

%package devel
Summary:        Base Package for Integrated Development Environments: Build Environment
Group:          Development/Tools/IDE
Conflicts:      libkdevplatform4-devel
Requires:       %{name} = %{version}
Requires:       libkdevplatform%{libkdev_major} = %{version}

%description devel
This package contains the development files for building integrated
developments environments based on the KDevelop framework.

%files devel
%defattr(-,root,root)
%doc COPYING.SRC
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KDevPlatform/
%{_kf5_prefix}/include/kdevplatform/

%package -n libkdevplatform%{libkdev_major}
Summary:        Libraries for Integrated Development Environments
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description -n libkdevplatform%{libkdev_major}
This package contains the libraries for integrated development
environments based on the KDevelop framework.

%post -n libkdevplatform%{libkdev_major} -p /sbin/ldconfig

%postun -n libkdevplatform%{libkdev_major} -p /sbin/ldconfig

%files -n libkdevplatform%{libkdev_major}
%defattr(-,root,root)
%doc COPYING.SRC
%{_kf5_libdir}/*.so.*

%files
%defattr(-,root,root)
%doc COPYING* README.md
%{_kf5_bindir}/kdev_dbus_socket_transformer
%{_kf5_bindir}/kdev_format_source
%{_kf5_bindir}/kdevplatform_shell_environment.sh
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/kdevcodegen/
%{_kf5_sharedir}/kdevcodeutils/
%{_kf5_sharedir}/kdevplatform/

%changelog
* Tue Aug 29 2017 wbauer@tmo.at
- New upstream release 5.1.2
  * Fix a hang-on-exit bug (kde#379669)
  * Fix duplicated context menu on icon border
  * Fix code display in the uses widget on some systems
  * Fix "Format Files" context menu action
  * Fix a possible crash when parsing Python code with old-style
    Mac line endings ('\r' only) (kde#378827)
  * Fix jumping to breakpoint location in the breakpoint model
    (kde#382652)
  * Fix crash on CPUs without SSE2
  * Fix launching executables with spaces in paths on windows
  * Fix possible crash on clicking "show documentation" in tooltip
* Sat May 27 2017 wbauer@tmo.at
- New upstream release 5.1.1
  * Do not extract all template preview images, load from archives
    on demand
  * Use https://www.google.com instead of http://www.google.de in
    google selection external script
  * Use consistent icon names for build stuff, remove left-over
    legacy icons
  * Appwizard: fix broken disconnect in ProjectVcsPage
  * Stop unused & broken exposure of Project object on D-Bus
  * Appwizard: store chosen vcsPlugin in developer .kdev4 file
  * Backgroundparser: Relax assert a bit (kde#378933)
  * Work-around issue in Path(QString) ctor (kde#378933)
  * Fix preview file wrongly added on project generation from app
    template
  * Fix support for multiple files and relative paths in
    ShowFilesAfterGeneration
  * Load Template From File dialogs: fix wrong filter strings usage
    (kde#376040)
  * Find/Replace in files: Do not wrap content of tooltip for an
    output line
* Thu Mar 23 2017 wbauer@tmo.at
- New upstream release 5.1.0
  * For a list of changes, see:
    https://www.kdevelop.org/news/kdevelop-510-released
* Sun Mar  5 2017 wbauer@tmo.at
- New upstream release 5.0.4
  * Don't open nonexistent documents from problems view + assertion
    fix
  * Assertion fix for ProblemModel
  * Note more explicit in API dox that nullptr can be returned
  * File templates dialog: Fix crash in overrides page with unknown
    base class
  * Silence runtime warnings about missing methods
  * Pass KTextEditor::MainWindow to text views created from
    TextDocuments
  * File templates tool: with no open document, use base dir of
    project or home
  * Update version number to 5.0.4
  * Cleanup: Remove unused member
  * Register EnvironmentSelectionWidget properly with
    KConfigDialogManager
  * Disable the Revision Graph feature
  * Fix crash on triggering "Reformat Source" without no more file
    loaded
  * Restore hiding of help buttons in assistant dialogs
  * Cleanup: Remove unused method
  * Quickopenfilter: Fix documentation
  * Fix checkboxes in file template custom options page being
    misplaced
  * Speed up test_projectcontroller a bit
  * Fix layout accidently being tried to replace OutputPage's main
    layout
  * Fix opening of remote URLs without filename (kde#373213)
  * TestTemplatesModel, TestGenerationTest: C locale to avoid
    translated strings
  * Raise prev/next history context buttons
  * SourceFormatterController: Fix 'Reformat files' (kde#373842)
  * SourceFormatterController: More debug output
  * Fix infinite loop on cloning environment group with another
    clone present
  * Revert "Restore About dialog for plugins in "Loaded Plugins"
    dialog"
  * Fix deprecation warning
  * Add fallback code for KAboutData::fromPluginMetaData() for old
    kf5 versions
  * Restore About dialog for plugins in "Loaded Plugins" dialog
  * LoadedPluginsDialog: Fix memleak
  * StandardDocumentationView positioning fixes
  * Update INSTALL
  * Add bits about contributing to KDevelop
  * Streamline README
  * Style: C++11ify. Commit
  * Projectfilter: Filter out VS artifacts
  * ProjectConfigSkeleton: Remove FIXME
  * Fix typo in CMake message
  * Fix extraction of multi-line UI strings from welcome page
  * Hotfix for restoring build with newer KConfig
  * Fix default icon for some plugins
  * Hide progress bar after all jobs finished
  * DUChainPointer::dynamicCast() - don't segfault if no target
- Drop upstreamed Hotfix-for-restoring-build-with-newer-KConfig.patch
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Mon Dec  5 2016 hrvoje.senjan@gmail.com
- Hotfix-for-restoring-build-with-newer-KConfig.patch: build with
  kconfig 5.29
* Fri Dec  2 2016 wbauer@tmo.at
- New upstream release 5.0.3
  * Fix a performance issue which would lead to the UI becoming
    unresponsive when lots of parse jobs were created (kde#369374)
  * Fix some behaviour quirks in the documentation view
  * Fix a possible crash on exit (kde#371752)
  * Fix tab order in problems view
* Wed Nov 16 2016 wbauer@tmo.at
- New upstream release 5.0.2
  * Fix a locking issue in the background parser, causing frequent
    crashes on Windows
  * Fix broken search in the documentation view
  * Fix various issues with the breakpoints view
  * Fix text files being parsed as CMake under some circumstances,
    leading to bad performance and crashes
  * Use correct font in documentation view (kde#285162)
  * Fix a crash when clicking "Rename declaration" without an
    editor being open
  * Fix "Download more ..." feature not working on some systems
  * Fix "Select next/previous toolview" behaving incorrectly in
    some cases
  * Fix "Hide/Restore docks" behaving incorrectly in some cases
  * Various UI improvements
* Mon Oct  3 2016 lbeltrame@kde.org
- New upstream release 5.0.1
  * Fix a deadlock in the background parser, which especially
    occured on projects containing both C++ and Python/JS/QML code
    and caused either parsing or the whole application to freeze
    randomly.
  * Fix a crash which sometimes happened when switching git
    branches on command line.
  * Fix some translation issues.
* Mon Sep 26 2016 lbeltrame@kde.org
- Conflicts on lang-package to work around Factory bot bug
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- Update to 5.0.0
* Thu Jul 21 2016 wbauer@tmo.at
- Remove libQt5Declarative/QtQuick1 build requirement to fix build
  with Qt 5.7, it's not needed/used anyway
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Initial package for the Frameworks based Kdevplatform
  * Kdevplatform 5 Beta 3
